Linux下cxFreeze的问题

htfy96 发布于 2014/10/01 23:40
阅读 1K+
收藏 0

已发到Stackoverflow:

http://stackoverflow.com/questions/26154238/no-module-named-cx-freeze-util-cxfreeze-in-python3-4

我安装了cxFreeze发现无法打包pyQt5库(即使手动添加了),总是报找不到模块,但是在Python运行时import pyqt就没问题,请问应该如何解决呢?

以下是问题补充:

@htfy96:问题在于,cxFreeze我无法用python3运行(总是/usr/bin/python3: can't find '__main__' module in 'cx_Freeze') 而pyqt5库只在python3中才有 (2014/10/02 11:03)
加载中
0
htfy96
htfy96
问题已解决,见stackoverflow
0
DavidWTF
DavidWTF
没用过,推荐pyinstaller
htfy96
htfy96
目前只有cx_Freeze号称支持py3……
0
Feng_Yu
Feng_Yu
linux下cx_freeze并不那么好用,换个操作系统之后打包的程序就无法运行了。还是自己写软件包依赖项去搞吧,比cx_freeze打包小得多
返回顶部
顶部